import React from 'react';
import { FormControl, InputLabel } from '@material-ui/core';
import Icon from '../../toolbar/icons';
import { makeStyles } from '@material-ui/core/styles';
import FormHelperText from '@material-ui/core/FormHelperText';
var useStyles = makeStyles(function (theme) {
  return {
    labelRoot: {
      transform: 'none'
    },
    signatureIcon: {
      marginTop: '2rem',
      display: 'flex',
      justifyContent: 'center'
    }
  };
});
export default function SignatureWrapper(props) {
  var _props$data;

  var classes = useStyles();
  var isRequired = props.data.config.isRequired;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(FormControl, {
    required: isRequired,
    fullWidth: true
  }, /*#__PURE__*/React.createElement(InputLabel, {
    shrink: true,
    classes: {
      shrink: classes.labelRoot
    }
  }, (_props$data = props.data) != null && _props$data.locals && Object.keys(props.data.locals).length !== 0 ? props.currentLang === 'en' ? props.data.name : props.data.locals.ar.name_ar : props.data.name)), /*#__PURE__*/React.createElement("div", {
    className: classes.signatureIcon
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "signature",
    height: "50px",
    width: "50px"
  })), /*#__PURE__*/React.createElement(FormHelperText, null, props.data.config.helpText));
}