function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import CheckboxGroup from './CheckboxGroup';
import Content from './Content';
import Date from './Date';
import FileUpload from './FileUpload';
import Image from './Image';
import List from './List';
import Quiz from './Quiz';
import Section from './Section';
import Select from './Select';
import Signature from './Signature';
import Survey from './Survey';
import TextField from './TextField';
import Video from './Video';

var Index = function Index(props) {
  switch (props.name) {
    case "checkbox":
      return /*#__PURE__*/React.createElement(CheckboxGroup, _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "content":
      return /*#__PURE__*/React.createElement(Content, _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "date":
      return /*#__PURE__*/React.createElement(Date, _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "file-upload":
      return /*#__PURE__*/React.createElement(FileUpload, _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "image":
      return /*#__PURE__*/React.createElement(Image, _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "list":
      return /*#__PURE__*/React.createElement(List, _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "quiz":
      return /*#__PURE__*/React.createElement(Quiz, _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "section":
      return /*#__PURE__*/React.createElement(Section, _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "select":
      return /*#__PURE__*/React.createElement(Select, _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "signature":
      return /*#__PURE__*/React.createElement(Signature, _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "survey":
      return /*#__PURE__*/React.createElement(Survey, _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "text":
      return /*#__PURE__*/React.createElement(TextField, _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "video":
      return /*#__PURE__*/React.createElement(Video, _extends({
        height: "30px",
        width: "30px"
      }, props));

    default:
      return /*#__PURE__*/React.createElement("div", null);
  }
};

export default Index;