"use strict";

exports.__esModule = true;
exports["default"] = DateWrapper;

var _react = _interopRequireDefault(require("react"));

var _TextInput = _interopRequireDefault(require("../../../utils/inputs/TextInput"));

var _CheckboxGroup = _interopRequireDefault(require("../../../utils/checkboxs/CheckboxGroup"));

var _datePicker = _interopRequireDefault(require("../../../utils/date-picker"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function DateWrapper(props) {
  var _props$data;

  var _React$useState = _react["default"].useState(new Date()),
      value = _React$useState[0],
      setValue = _React$useState[1];

  var handleChange = function handleChange(date) {
    setValue(date);
  };

  return /*#__PURE__*/_react["default"].createElement(_datePicker["default"], {
    row: false,
    label: (_props$data = props.data) != null && _props$data.locals && Object.keys(props.data.locals).length !== 0 ? props.currentLang === 'en' ? props.data.name : props.data.locals.ar.name_ar : props.data.name,
    required: props.data.config.isRequired,
    helperText: props.data.config.helpText,
    value: value,
    handleChange: handleChange
  });
}

module.exports = exports.default;