"use strict";

exports.__esModule = true;
exports["default"] = FileWrapper;

var _react = _interopRequireDefault(require("react"));

var _TextInput = _interopRequireDefault(require("../../../utils/inputs/TextInput"));

var _fileUpload = _interopRequireDefault(require("../../../utils/file-upload"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function FileWrapper(props) {
  var _props$data;

  return /*#__PURE__*/_react["default"].createElement(_fileUpload["default"], {
    label: (_props$data = props.data) != null && _props$data.locals && Object.keys(props.data.locals).length !== 0 ? props.currentLang === 'en' ? props.data.name : props.data.locals.ar.name_ar : props.data.name,
    helperText: props.data.config.helpText,
    placeholder: props.data.config.placeholder,
    required: props.data.config.isRequired,
    uploadable: false,
    isMultiple: props.data.config.isMultiple
  });
}

module.exports = exports.default;