"use strict";

exports.__esModule = true;
exports["default"] = SignatureWrapper;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _icons = _interopRequireDefault(require("../../toolbar/icons"));

var _styles = require("@material-ui/core/styles");

var _FormHelperText = _interopRequireDefault(require("@material-ui/core/FormHelperText"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    labelRoot: {
      transform: 'none'
    },
    signatureIcon: {
      marginTop: '2rem',
      display: 'flex',
      justifyContent: 'center'
    }
  };
});

function SignatureWrapper(props) {
  var _props$data;

  var classes = useStyles();
  var isRequired = props.data.config.isRequired;
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_core.FormControl, {
    required: isRequired,
    fullWidth: true
  }, /*#__PURE__*/_react["default"].createElement(_core.InputLabel, {
    shrink: true,
    classes: {
      shrink: classes.labelRoot
    }
  }, (_props$data = props.data) != null && _props$data.locals && Object.keys(props.data.locals).length !== 0 ? props.currentLang === 'en' ? props.data.name : props.data.locals.ar.name_ar : props.data.name)), /*#__PURE__*/_react["default"].createElement("div", {
    className: classes.signatureIcon
  }, /*#__PURE__*/_react["default"].createElement(_icons["default"], {
    name: "signature",
    height: "50px",
    width: "50px"
  })), /*#__PURE__*/_react["default"].createElement(_FormHelperText["default"], null, props.data.config.helpText));
}

module.exports = exports.default;