"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _CheckboxGroup = _interopRequireDefault(require("./CheckboxGroup"));

var _Content = _interopRequireDefault(require("./Content"));

var _Date = _interopRequireDefault(require("./Date"));

var _FileUpload = _interopRequireDefault(require("./FileUpload"));

var _Image = _interopRequireDefault(require("./Image"));

var _List = _interopRequireDefault(require("./List"));

var _Quiz = _interopRequireDefault(require("./Quiz"));

var _Section = _interopRequireDefault(require("./Section"));

var _Select = _interopRequireDefault(require("./Select"));

var _Signature = _interopRequireDefault(require("./Signature"));

var _Survey = _interopRequireDefault(require("./Survey"));

var _TextField = _interopRequireDefault(require("./TextField"));

var _Video = _interopRequireDefault(require("./Video"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var Index = function Index(props) {
  switch (props.name) {
    case "checkbox":
      return /*#__PURE__*/_react["default"].createElement(_CheckboxGroup["default"], _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "content":
      return /*#__PURE__*/_react["default"].createElement(_Content["default"], _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "date":
      return /*#__PURE__*/_react["default"].createElement(_Date["default"], _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "file-upload":
      return /*#__PURE__*/_react["default"].createElement(_FileUpload["default"], _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "image":
      return /*#__PURE__*/_react["default"].createElement(_Image["default"], _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "list":
      return /*#__PURE__*/_react["default"].createElement(_List["default"], _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "quiz":
      return /*#__PURE__*/_react["default"].createElement(_Quiz["default"], _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "section":
      return /*#__PURE__*/_react["default"].createElement(_Section["default"], _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "select":
      return /*#__PURE__*/_react["default"].createElement(_Select["default"], _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "signature":
      return /*#__PURE__*/_react["default"].createElement(_Signature["default"], _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "survey":
      return /*#__PURE__*/_react["default"].createElement(_Survey["default"], _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "text":
      return /*#__PURE__*/_react["default"].createElement(_TextField["default"], _extends({
        height: "30px",
        width: "30px"
      }, props));

    case "video":
      return /*#__PURE__*/_react["default"].createElement(_Video["default"], _extends({
        height: "30px",
        width: "30px"
      }, props));

    default:
      return /*#__PURE__*/_react["default"].createElement("div", null);
  }
};

var _default = Index;
exports["default"] = _default;
module.exports = exports.default;