var _templateObject;

function _taggedTemplateLiteralLoose(strings, raw) { if (!raw) { raw = strings.slice(0); } strings.raw = raw; return strings; }

import 'date-fns';
import React from 'react';
import styled from 'styled-components';
import DateFnsUtils from '@date-io/date-fns';
import { MuiPickersUtilsProvider, DatePicker } from '@material-ui/pickers';
import { FormHelperText } from "@material-ui/core";
var StyledDatePicker = styled(DatePicker)(_templateObject || (_templateObject = _taggedTemplateLiteralLoose(["\n  .MuiInputLabel-shrink {\n    transform: none;\n  }\n"])));
export default function CustomDatePicker(props) {
  var value = props.value,
      handleChange = props.handleChange,
      label = props.label,
      error = props.error,
      required = props.required,
      helperText = props.helperText,
      disabled = props.disabled;
  return /*#__PURE__*/React.createElement(MuiPickersUtilsProvider, {
    utils: DateFnsUtils
  }, /*#__PURE__*/React.createElement(StyledDatePicker, {
    fullWidth: true,
    clearable: true,
    label: label,
    openTo: "date",
    variant: "inline",
    views: ["year", "month", "date"],
    format: "MM/dd/yyyy",
    margin: "normal",
    value: value,
    onChange: handleChange,
    helperText: helperText,
    required: required
  }));
}