"use strict";

exports.__esModule = true;
exports["default"] = InputWrapper;

var _react = _interopRequireDefault(require("react"));

var _TextInput = _interopRequireDefault(require("../../../utils/inputs/TextInput"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function InputWrapper(props) {
  var _props$data;

  var _React$useState = _react["default"].useState(''),
      value = _React$useState[0],
      setValue = _React$useState[1];

  var handleChange = function handleChange(e) {
    setValue(e.target.value);
  };

  return /*#__PURE__*/_react["default"].createElement(_TextInput["default"], {
    label: (_props$data = props.data) != null && _props$data.locals && Object.keys(props.data.locals).length !== 0 ? props.currentLang === 'en' ? props.data.name : props.data.locals.ar.name_ar : props.data.name,
    helperText: props.data.config.helpText,
    placeholder: props.data.config.placeholder,
    required: props.data.config.isRequired,
    value: value,
    handleChange: handleChange
  });
}

module.exports = exports.default;